# Alan voice assistant SDK for Android

[Alan Platform](https://alan.app/) • [Alan Studio](https://studio.alan.app/register) • [Docs](https://alan.app/docs) • [FAQ](https://alan.app/docs/usage/additional/faq) •
[Blog](https://alan.app/blog/) • [Twitter](https://twitter.com/alanvoiceai)

[![GitHub release (latest by date)](https://img.shields.io/github/v/release/alan-ai/alan-sdk-android)](https://github.com/alan-ai/alan-sdk-android/releases)

Add a voice assistant to your application. With no or minimal changes to the existing UI.

## How to start

To bring voice control to an Android application:

1. [Sign up for Alan Studio](https://studio.alan.app/register) to build and test voice scripts in JavaScript.
2. Use the Alan Android SDK to embed the Alan button to your application or page. For details, see [Alan AI documentation]( https://alan.app/docs/client-api/android/android-api).

Check out our [demo](https://play.google.com/store/apps/details?id=app.alan.playground).

## Downloads
* [Maven artifact](https://search.maven.org/artifact/app.alan/sdk)
* [Alan Android SDK releases](https://github.com/alan-ai/alan-sdk-android/releases)


## Example  apps

In the [Examples](https://github.com/alan-ai/alan-sdk-android/tree/master/examples) folder, you can find example apps integrated with the Alan voice SDK for Android. Launch the app, tap the Alan button and start giving voice commands. For example, in the Alan Sample app you can ask: "How are you doing?" or "What's your name?"

## What is Alan?

Alan is a conversational AI platform that lets you build voice assistants, chatbots and conversational bots for your business from scratch. It offers the whole set of tools to design, embed and host a voice interface solution for your app:

* [Alan Studio](https://studio.alan.app/) — a web portal where you can create and manage a dialog scenario for the conversational assistant or chatbot
* [Voice SDKs](https://github.com/alan-ai) to embed the Alan voice to applications running on multiple platforms, both web and mobile
* Alan Cloud — Alan's AI-backend that hosts and runs voice scripts, and accomplishes all Spoken Language Understanding (SLU) and Natural Language Processing (NLP) tasks

To enable voice control in your app, Alan leverages its NLP-powered engine with industry’s best Automatic Speech Recognition and Speech Synthesis tools and methods. There is no need to create datasets or train your voice solution on your own: Alan automatically trains on voice commands using your app’s terms.

## Have questions?
If you have any questions or if something is missing in the documentation, please [contact us](mailto:support@alan.app), or tweet us [@alanvoiceai](https://twitter.com/alanvoiceai). We love hearing from you!)
